Bug 113476 - ACPI-0133 error on Pentium4HT+865G
Summary: ACPI-0133 error on Pentium4HT+865G
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-14 13:03 UTC by Petr Krištof
Modified: 2015-01-04 22:04 UTC (History)
2 users (show)

Fixed In Version: 2.6.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-12 11:16:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Booting messages of kernel 2.4 (13.70 KB, text/plain)
2004-01-14 17:46 UTC, Petr Krištof
no flags Details
Booting messages of kernel 2.6 (14.81 KB, text/plain)
2004-01-14 17:48 UTC, Petr Krištof
no flags Details
Output of acpidmp program (67.14 KB, text/plain)
2004-01-14 17:50 UTC, Petr Krištof
no flags Details
Output of dmidecode program (8.13 KB, text/plain)
2004-01-14 17:51 UTC, Petr Krištof
no flags Details
/proc/interrupts of kernel 2.4 (694 bytes, text/plain)
2004-01-14 17:53 UTC, Petr Krištof
no flags Details
/proc/interrupts of kernel 2.6 (469 bytes, text/plain)
2004-01-14 17:54 UTC, Petr Krištof
no flags Details
/proc/pci of kernel 2.4 (4.24 KB, text/plain)
2004-01-14 17:55 UTC, Petr Krištof
no flags Details
/proc/pci of kernel 2.6 (4.11 KB, text/plain)
2004-01-14 17:56 UTC, Petr Krištof
no flags Details

Description Petr Krištof 2004-01-14 13:03:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
Hi,

I like to report problem on hardware:
MB - MSI Neo2 (865G)
CPU - Intel Pentium4 HT

Kernel 2.4 works fine. Kernel 2.6 boots, find all HW (net, usb, etc),
load modules but none
of net/usb/sound/sata is working.

Part of error messages:

ACPI: Subsystem revision 20031002
IOAPIC[0]: Set PCI routing entry (2-20 -> 0xa9 -> IRQ 20 Mode:1 Active:1)
ACPI: SCI (IRQ20) allocation failed
ACPI-0133: *** Error: Unable to install System Control Interrupt
Handler, AE_NOT_ACQUIRED
ACPI: Unable to start the ACPI Interpreter
Trying to free free IRQ20ACPI: ACPI tables contain no PCI IRQ routing
entries
PCI: Invalid ACPI-PCI IRQ routing table
PCI: Probing PCI hardware
PCI: Probing PCI hardware (bus 00)
PCI: Ignoring BAR0-3 of IDE controller 0000:00:1f.1
Transparent bridge - 0000:00:1e.0
PCI: Using IRQ router PIIX/ICH [8086/24d0] at 0000:00:1f.0
PCI BIOS passed nonexistent PCI bus 0!
PCI BIOS passed nonexistent PCI bus 0!
PCI BIOS passed nonexistent PCI bus 0!

The complet dmesg files from 2.4 and 2.6 booting are on
http://crash.fce.vutbr.cz/report/



Version-Release number of selected component (if applicable):
kernel-smp-2.6.1-1.34

How reproducible:
Always

Steps to Reproduce:
1. boot system


Additional info:

All needed packages as modutils, kernel-utils, initscripts, hotplug
etc are instaled.

Comment 1 Petr Krištof 2004-01-14 17:46:58 UTC
Created attachment 96975 [details]
Booting messages of kernel 2.4

Comment 2 Petr Krištof 2004-01-14 17:48:38 UTC
Created attachment 96976 [details]
Booting messages of kernel 2.6

Comment 3 Petr Krištof 2004-01-14 17:50:11 UTC
Created attachment 96977 [details]
Output of acpidmp program

Comment 4 Petr Krištof 2004-01-14 17:51:51 UTC
Created attachment 96978 [details]
Output of dmidecode program

Comment 5 Petr Krištof 2004-01-14 17:53:30 UTC
Created attachment 96979 [details]
/proc/interrupts of kernel 2.4

Comment 6 Petr Krištof 2004-01-14 17:54:18 UTC
Created attachment 96980 [details]
/proc/interrupts of kernel 2.6

Comment 7 Petr Krištof 2004-01-14 17:55:44 UTC
Created attachment 96981 [details]
/proc/pci of kernel 2.4

Comment 8 Petr Krištof 2004-01-14 17:56:47 UTC
Created attachment 96982 [details]
/proc/pci of kernel 2.6

Comment 9 Petr Krištof 2004-01-19 14:13:12 UTC
This problem is reported on OSDL also as bug #1866
(http://bugme.osdl.org/show_bug.cgi?id=1866)

Using patch ACPI-20031203 resolves this issue.

Hope acpi-20031203 became part of kernel 2.6.2

Comment 10 Petr Krištof 2004-03-12 11:16:28 UTC
Fixed in kernel 2.6.2. Thanks


Note You need to log in before you can comment on or make changes to this bug.